Crystal Space: csParasiticDataBufferBase Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParasiticDataBufferBase Class Reference

Base class for pooled and unpooled parasitic data buffer. More...

`#include <csutil/parasiticdatabuffer.h>`

Inheritance diagram for csParasiticDataBufferBase:

[legend]
List of all members.

## Public Member Functions
virtual char * | GetData () const
| Get the buffer as an abstract pointer.
int8 * | GetInt8 ()
| Get as an int8 *.
virtual size_t | GetSize () const
| Query the buffer size.
uint8 * | GetUint8 ()
| Get as an uint8 *.
char * | operator * () const
| Get the buffer as an (char *) pointer.
virtual | ~csParasiticDataBufferBase ()
## Protected Member Functions
| csParasiticDataBufferBase ()
| csParasiticDataBufferBase (iDataBuffer *parent, size_t offs, size_t size=(size_t)~0)
void | SetContents (iDataBuffer *parent, size_t offs, size_t size)
## Protected Attributes
uint8 * | data
csRef< iDataBuffer > | parentBuffer
size_t | size

## Detailed Description

Base class for pooled and unpooled parasitic data buffer.

Definition at line 35 of file parasiticdatabuffer.h.

## Member Function Documentation

virtual char* csParasiticDataBufferBase::GetData | ( |  | ) | const`[inline, virtual]`

Get the buffer as an abstract pointer.

Implements iDataBuffer.

Definition at line 68 of file parasiticdatabuffer.h.

References data.

Referenced by GetInt8(), GetUint8(), and operator *().

int8* csParasiticDataBufferBase::GetInt8 | ( |  | ) | `[inline]`

Get as an int8 *.

Reimplemented from iDataBuffer.

Definition at line 72 of file parasiticdatabuffer.h.

References GetData().

virtual size_t csParasiticDataBufferBase::GetSize | ( |  | ) | const`[inline, virtual]`

Query the buffer size.

Implements iDataBuffer.

Definition at line 66 of file parasiticdatabuffer.h.

References size.

uint8* csParasiticDataBufferBase::GetUint8 | ( |  | ) | `[inline]`

Get as an uint8 *.

Reimplemented from iDataBuffer.

Definition at line 74 of file parasiticdatabuffer.h.

References GetData().

char* csParasiticDataBufferBase::operator * | ( |  | ) | const`[inline]`

Get the buffer as an (char *) pointer.

Reimplemented from iDataBuffer.

Definition at line 70 of file parasiticdatabuffer.h.

References GetData().

The documentation for this class was generated from the following file:

- csutil/parasiticdatabuffer.h